<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}">
    <MessagePicture :isSent="isSent" :message="message"></MessagePicture>
    <!-- <div class="text-main" >
    <div class="text-group" >-->
    <!-- <div class="text text-muted" :class=" isSent(message) ?'me':'' " > -->
    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>
      <div class="row">
          <div class="col-md-12 table-container">
            <table class="table table-striped text-capitalize text-center shadow-sm bg-white text-muted">
                <tr>
                <td colspan="2" class="text-center text-dark bg-light">
                    <b>Summary</b>
                </td>
                </tr>
                <tr v-for="(item, index) in content.columns" :key="index">
                <td>
                    <b>{{item.field}}</b>
                </td>
                <td>{{item.value}}</td>
                </tr>
            </table>
          </div>
      </div>
      <div class="text-muted-light">
        <small :class="{'float-right':isSent}">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
    <!-- </div> -->
    <!-- </div>
    </div>-->
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  }
};
</script>
<style scoped>
.chat-content {
  overflow-y: scroll !important;
}
td {
  padding: 10px;
}
table{
    width:20vw;
    margin-bottom: 0
}
.table-container{

    max-height: 300px;
    overflow-y: scroll;
}
</style>
